System.Runtime.Serialization 4.0.0.0 System.Xml.XmlReader

Methods in this class read objects.

This class is derived from .

Note that there is a known issue with the normalization of linefeed characters inside of CDATA sections that you may encounter.

An abstract class that the indigo1 derives from to do serialization and deserialization.

- Constructor
  4.0.0.0

  The only constructor for this class is the default constructor.

  Creates an instance of this class. Invoked only by its derived classes.

- Property
  4.0.0.0
  System.Boolean To be added.

  This property always returns false.

  This property always returns false. Its derived classes can override to return true if they support canonicalization.

- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` ``

  Other properties are set to default values or null.

  Creates an instance of that can read .NET Binary XML Format.

  An instance of .

  The buffer from which to read. The quotas that apply to this operation.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` ``

  Other properties are set to default values or null.

  Creates an instance of that can read .NET Binary XML Format.

  An instance of .

  The stream from which to read. The quotas that apply to this operation.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` ``

  Other properties are set to default values or null.

  Creates an instance of that can read .NET Binary XML Format.

  An instance of .

  The stream from which to read. to use. The quotas that apply to this operation.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` `` ``

  Other properties are set to default values or null.

  Creates an instance of that can read .NET Binary XML Format.

  An instance of .

  The buffer from which to read. The starting position from which to read in . The number of bytes that can be read from . The quotas that apply to this operation.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` `` ``

  Other properties are set to default values or null.

  Creates an instance of that can read .NET Binary XML Format.

  An instance of .

  The stream from which to read. to use. The quotas that apply to this operation. to use.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` `` `` ``

  Other properties are set to default values or null.

  Creates an instance of that can read .NET Binary XML Format.

  An instance of .

  The buffer from which to read. The starting position from which to read in . The number of bytes that can be read from . to use. The quotas that apply to this operation.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` `` `` ``

  Other properties are set to default values or null.

  Creates an instance of that can read .NET Binary XML Format.

  An instance of .

  The stream from which to read. to use. to apply. to use. Delegate to be called when the reader is closed.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` `` `` `` ``

  Other properties are set to default values or null.

  Creates an instance of that can read .NET Binary XML Format.

  An instance of .

  The buffer from which to read. The starting position from which to read in . The number of bytes that can be read from . The to use. The to apply. The to use.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` `` `` `` `` ``

  Other properties are set to default values or null.

  Creates an instance of that can read .NET Binary XML Format.

  An instance of .

  The buffer from which to read. The starting position from which to read in . The number of bytes that can be read from . The to use. The to apply. The to use. Delegate to be called when the reader is closed.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` To be added.

  Creates an instance of from an existing .

  An instance of .

  An instance of .
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` ``

  This method reads from a stream, using the character encoding specified by , an instance of .

  Creates an instance of that reads XML in the MTOM format.

  An instance of .

  The stream from which to read. The possible character encoding of the stream. The quotas to apply to this reader.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` ``

  This method reads from a stream, using one of the character encodings specified by , an array of instances of .

  Creates an instance of that reads XML in the MTOM format.

  An instance of .

  The stream from which to read. The possible character encodings of the stream. The quotas to apply to this reader.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` `` ``

  This method reads from a stream, using one of the character encodings specified by , an array of instances of . The message is of the specified MIME type. If is null, the Content-Type MIME header must be present in the message.

  Creates an instance of that reads XML in the MTOM format.

  An instance of .

  The stream from which to read. The possible character encodings of the stream. The Content-Type MIME type of the message. The quotas to apply to this reader.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` `` `` ``

  This method reads from a buffer with a specified offset and count, using the character encoding specified by , an instance of .

  Creates an instance of that reads XML in the MTOM format.

  An instance of .

  The buffer from which to read. The starting position from which to read in . The number of bytes that can be read from . The possible character encoding of the input. The quotas to apply to this reader.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` `` `` ``

  This method reads from a buffer with a specified offset and count, using one of the character encodings specified by , an array of instances of .

  Creates an instance of that reads XML in the MTOM format.

  An instance of .

  The buffer from which to read. The starting position from which to read in . The number of bytes that can be read from . The possible character encodings of the input. The quotas to apply to this reader.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` `` `` `` ``

  This method reads from a buffer with a specified offset and count, using one of the character encodings specified by , an array of instances of . The message is of the specified MIME type. If is null, the Content-Type MIME header must be present in the message.

  Creates an instance of that reads XML in the MTOM format.

  An instance of .

  The buffer from which to read. The starting position from which to read in . The number of bytes that can be read from . The possible character encodings of the input. The Content-Type MIME type of the message. The quotas to apply to this reader.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` `` `` `` ``

  This method reads from a stream, using one of the character encodings specified by , an array of instances of . The message is of the specified MIME type. If is null, the Content-Type MIME header must be present in the message.

  Creates an instance of that reads XML in the MTOM format.

  An instance of .

  The stream from which to read. The possible character encodings of the stream. The Content-Type MIME type of the message. The MIME type of the message. The to apply to the reader. The delegate to be called when the reader is closed.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` `` `` `` `` `` ``

  This method reads from a buffer with a specified offset and count, using one of the character encodings specified by , an array of instances of . The message is of the specified MIME type. If is null, the Content-Type MIME header must be present in the message.

  Creates an instance of that reads XML in the MTOM format.

  An instance of .

  The buffer from which to read. The starting position from which to read in . The number of bytes that can be read from . The possible character encodings of the input. The Content-Type MIME type of the message. The to apply to the reader. The maximum allowed size of the buffer. The delegate to be called when the reader is closed.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` ``

  The reader created is optimized for reading UTF-8 text.

  Creates an instance of .

  An instance of .

  The buffer from which to read. The quotas applied to the reader.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` ``

  The reader created is optimized for reading UTF-8 text.

  Creates an instance of .

  An instance of .

  The stream from which to read. The quotas applied to the reader.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` `` ``

  The reader created is optimized for reading UTF-8 text.

  Creates an instance of .

  An instance of .

  The buffer from which to read. The starting position from which to read in . The number of bytes that can be read from . The quotas applied to the reader.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` `` ``

  The reader created is optimized for reading UTF-8 text.

  Creates an instance of .

  An instance of .

  The stream from which to read. The object that specifies the encoding properties to apply. The to apply. The delegate to be called when the reader is closed.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` `` `` `` ``

  The reader created is optimized for reading UTF-8 text.

  Creates an instance of .

  An instance of .

  The buffer from which to read. The starting position from which to read in . The number of bytes that can be read from . The object that specifies the encoding properties to apply. The to apply. The delegate to be called when the reader is closed.
- Method
  4.0.0.0
  System.Void To be added.

  This method is not yet implemented.

- Method
  4.0.0.0
  System.String `` `` To be added.

  When overridden in a derived class, gets the value of an attribute.

  The value of the attribute.

  An that represents the local name of the attribute. An that represents the namespace of the attribute.
- Method
  4.0.0.0
  System.Int32 `` ``

  is an array of strings, and is a string.

  Gets the index of the local name of the current node within an array of names.

  The index of the local name of the current node within an array of names.

  The string array of local names to be searched. The namespace of current node.
- Method
  4.0.0.0
  System.Int32 `` ``

  is an array of , and is an .

  Gets the index of the local name of the current node within an array of names.

  The index of the local name of the current node within an array of names.

  The array of local names to be searched. The namespace of current node.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Checks whether the parameter, , is the local name of the current node.

  true if matches local name of the current node; otherwise false.

  The local name of the current node.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Checks whether the parameter, , is the local name of the current node.

  true if matches local name of the current node; otherwise false.

  An that represents the local name of the current node.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Checks whether the parameter, , is the namespace of the current node.

  true if matches namespace of the current node; otherwise false.

  The namespace of current node.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Checks whether the parameter, , is the namespace of the current node.

  true if matches namespace of the current node; otherwise false.

  Namespace of current node.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Tests whether the first tag is a start tag or empty element tag and if the local name and namespace URI match those of the current node.

  true if the first tag in the array is a start tag or empty element tag and matches and ; otherwise false.

  An that represents the local name of the attribute. An that represents the namespace of the attribute.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Tests whether the current node is a text node.

  true if the node type is , , , , or ; otherwise false.

  Type of the node being tested.
- Method
  4.0.0.0
  System.Void To be added.

  Tests whether the current content node is a start element or an empty element.

- Method
  4.0.0.0
  System.Void `` To be added.

  Tests whether the current content node is a start element or an empty element and if the property of the element matches the given argument.

  The property of the element.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Tests whether the current content node is a start element or an empty element and if the and properties of the element matches the given arguments.

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Tests whether the current content node is a start element or an empty element and if the and properties of the element matches the given argument.

  The local name of the element. The namespace URI of the element.
- Property
  4.0.0.0
  System.Xml.XmlDictionaryReaderQuotas To be added. To be added.

  Gets the quota values that apply to the current instance of this class.

- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of nodes into a typed array.

  The number of nodes put in the array.

  The local name of the element. The local name of the element. The array into which the nodes are put. The starting index in the array.
- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of nodes into a typed array.

  The number of nodes put in the array.

  The local name of the element. The namespace URI of the element. The array into which the nodes are put. The starting index in the array.
- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of nodes into a typed array.

  The number of nodes put in the array.

  The local name of the element. The namespace URI of the element. The array into which the nodes are put. The starting index in the array.
- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of nodes into a typed array.

  The number of nodes put in the array.

  The local name of the element. The namespace URI of the element. The array into which the nodes are put. The starting index in the array.
- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of nodes into a typed array.

  The number of nodes put in the array.

  The local name of the element. The namespace URI of the element. The array into which the nodes are put. The starting index in the array.
- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of short integers into a typed array.

  The number of integers put in the array.

  The local name of the element. The namespace URI of the element. The array into which the integers are put. The starting index in the array.
- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of integers into a typed array.

  The number of integers put in the array.

  The local name of the element. The namespace URI of the element. The array into which the integers are put. The starting index in the array.
- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of long integers into a typed array.

  The number of integers put in the array.

  The local name of the element. The namespace URI of the element. The array into which the integers are put. The starting index in the array.
- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of float numbers into a typed array.

  The umber of float numbers put in the array.

  The local name of the element. The namespace URI of the element. The array into which the float numbers are put. The starting index in the array.
- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of nodes into a typed array.

  The number of nodes put in the array.

  The local name of the element. The namespace URI of the element. The array into which the nodes are put. The starting index in the array.
- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of nodes into a typed array.

  The number of nodes put in the array.

  The local name of the element. The namespace URI of the element. The array into which the nodes are put. The starting index in the array.
- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of nodes into a typed array.

  The number of nodes put in the array.

  The local name of the element. The namespace URI of the element. The array into which the nodes are put. The starting index in the array.
- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of nodes into a typed array.

  The number of nodes put in the array.

  The local name of the element. The namespace URI of the element. The array into which the nodes are put. The starting index in the array.
- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of nodes type into a typed array.

  The number of nodes put in the array.

  The local name of the element. The namespace URI of the element. The array into which the nodes are put. The starting index in the array.
- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of nodes into a typed array.

  The number of nodes put in the array.

  The local name of the element. The namespace URI of the element. The array into which the nodes are put. The starting index in the array.
- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of short integers into a typed array.

  The number of integers put in the array.

  The local name of the element. The namespace URI of the element. The array into which the integers are put. The starting index in the array.
- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of integers into a typed array.

  The number of integers put in the array.

  The local name of the element. The namespace URI of the element. The array into which the integers are put. The starting index in the array.
- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of long integers into a typed array.

  The number of integers put in the array.

  The local name of the element. The namespace URI of the element. The array into which the integers are put. The starting index in the array.
- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of float numbers into a typed array.

  The number of float numbers put in the array.

  The local name of the element. The namespace URI of the element. The array into which the float numbers are put. The starting index in the array.
- Method
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added. To be added.

  Reads repeated occurrences of nodes into a typed array.

  The number of nodes put in the array.

  The local name of the element. The namespace URI of the element. The array into which the nodes are put. The starting index in the array.
- Method
  4.0.0.0
  System.Boolean[] `` ``

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Reads repeated occurrences of nodes into a typed array.

  A array of the nodes.

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Boolean[] `` ``

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Reads repeated occurrences of nodes into a typed array.

  A array of the nodes.

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Object `` `` To be added. To be added.

  Converts a node's content to a specified type.

  The concatenated text content or attribute value converted to the requested type.

  The of the value to be returned.
- Method
  4.0.0.0
  System.Byte[]

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Reads the content and returns the Base64 decoded binary bytes.

  A byte array that contains the Base64 decoded binary bytes.

- Method
  4.0.0.0
  System.Byte[]

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Reads the content and returns the BinHex decoded binary bytes.

  A byte array that contains the BinHex decoded binary bytes.

- Method
  4.0.0.0
  System.Byte[] `` To be added.

  Reads the content and returns the BinHex decoded binary bytes.

  A byte array that contains the BinHex decoded binary bytes.

  The maximum array length.
- Method
  4.0.0.0
  System.Int32 `` `` `` To be added.

  Reads the content into a char array.

  Number of characters read.

  The array into which the characters are put. The starting index in the array. The number of characters to put in the array.
- Method
  4.0.0.0
  System.Decimal To be added.

  Converts a node's content to decimal.

  The decimal representation of node's content.

- Method
  4.0.0.0
  System.Single To be added.

  Converts a node's content to float.

  The float representation of node's content.

- Method
  4.0.0.0
  System.Guid To be added.

  Converts a node's content to guid.

  The guid representation of node's content.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.String

  The string returned by this read operation is limited by the MaxStringContentLength quota

  Converts a node's content to a string.

  The node content in a string representation.

- Method
  4.0.0.0
  System.String ``

  The string returned by this read operation is limited by the MaxStringContentLength quota.

  Converts a node's content to a string.

  Node content in string representation.

  The maximum string length.
- Method
  4.0.0.0
  System.String `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.String `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.TimeSpan To be added.

  Converts a node's content to .

  representation of node's content.

- Method
  4.0.0.0
  System.Xml.UniqueId To be added.

  Converts a node's content to a unique identifier.

  The node's content represented as a unique identifier.

- Method
  4.0.0.0
  System.DateTime[] `` ``

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Converts a node's content to a array.

  The node's content represented as a array.

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.DateTime[] `` `` To be added.

  Converts a node's content to a array.

  The node's content represented as a array.

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Decimal[] `` ``

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Converts a node's content to a array.

  The node's content represented as a array.

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Decimal[] `` ``

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Converts a node's content to a array.

  The node's content represented as a array.

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Double[] `` ``

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Converts a node's content to a array.

  The node's content represented as a array.

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Double[] `` ``

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Converts a node's content to a array.

  The node's content represented as a array.

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Byte[]

  The string returned by this read operation is limited by the MaxArrayLength quota.

  Converts a node's content to a array of Base64 bytes.

  The node's content represented as an array of Base64 bytes.

- Method
  4.0.0.0
  System.Byte[]

  The string returned by this read operation is limited by the MaxArrayLength quota.

  Converts a node's content to an array of BinHex bytes.

  The node's content represented as an array of BinHex bytes.

- Method
  4.0.0.0
  System.Boolean To be added.

  Converts an element's content to a .

  The node's content represented as a .

- Method
  4.0.0.0
  System.DateTime To be added.

  Converts an element's content to a .

  The node's content represented as a .

- Method
  4.0.0.0
  System.Decimal To be added.

  Converts an element's content to a .

  The node's content represented as a .

- Method
  4.0.0.0
  System.Double To be added.

  Converts an element's content to a .

  The node's content represented as a .

- Method
  4.0.0.0
  System.Single To be added.

  Converts an element's content to a floating point number ().

  The node's content represented as a floating point number ().

- Method
  4.0.0.0
  System.Guid To be added.

  Converts an element's content to a .

  The node's content represented as a .

- Method
  4.0.0.0
  System.Int32 To be added.

  Converts an element's content to an integer ().

  The node's content represented as an integer ().

- Method
  4.0.0.0
  System.Int64 To be added.

  Converts an element's content to a long integer ().

  The node's content represented as a long integer ().

- Method
  4.0.0.0
  System.String

  The string returned by this read operation is limited by the MaxStringContentLength quota.

  Converts an element's content to a .

  The node's content represented as a .

- Method
  4.0.0.0
  System.TimeSpan To be added.

  Converts an element's content to a .

  The node's content represented as a .

- Method
  4.0.0.0
  System.Xml.UniqueId To be added.

  Converts an element's content to a unique identifier.

  The node's content represented as a unique identifier.

- Method
  4.0.0.0
  System.Void To be added.

  Checks whether the current node is an element and advances the reader to the next node.

- Method
  4.0.0.0
  System.Void `` To be added.

  Checks whether the current node is an element with the given and advances the reader to the next node.

  The qualified name of the element.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Checks whether the current node is an element with the given and and advances the reader to the next node.

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Checks whether the current node is an element with the given and and advances the reader to the next node.

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Guid[] `` ``

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Reads the contents of a series of nodes with the given and into an array of .

  An array of .

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Guid[] `` ``

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Reads the contents of a series of nodes with the given and into an array of .

  An array of .

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Int16[] `` ``

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Reads the contents of a series of nodes with the given and into an array of short integers ().

  An array of short integers ().

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Int16[] `` ``

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Reads the contents of a series of nodes with the given and into an array of short integers ().

  An array of short integers ().

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Int32[] `` ``

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Reads the contents of a series of nodes with the given and into an array of integers ().

  An array of integers ().

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Int32[] `` ``

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Reads the contents of a series of nodes with the given and into an array of integers ().

  An array of integers ().

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Int64[] `` ``

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Reads the contents of a series of nodes with the given and into an array of long integers ().

  An array of long integers ().

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Int64[] `` ``

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Reads the contents of a series of nodes with the given and into an array of long integers ().

  An array of long integers ().

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Single[] `` ``

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Reads the contents of a series of nodes with the given and into an array of float numbers ().

  An array of float numbers ().

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Single[] `` ``

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Reads the contents of a series of nodes with the given and into an array of float numbers ().

  An array of float numbers ().

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Checks whether the current node is an element with the given and and advances the reader to the next node.

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.String To be added.

  Reads the contents of the current node into a string.

  A string that contains the contents of the current node.

- Method
  4.0.0.0
  System.String `` To be added.

  Reads the contents of the current node into a string with a given maximum length.

  A string that contains the contents of the current node.

  Maximum allowed string length.
- Method
  4.0.0.0
  System.TimeSpan[] `` ``

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Reads the contents of a series of nodes with the given and into a array.

  A array.

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.TimeSpan[] `` ``

  The buffer allocated by this read operation is limited by the MaxArrayLength quota.

  Reads the contents of a series of nodes with the given and into a array.

  A array.

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Int32 `` `` `` To be added. To be added. To be added. To be added.

  Not implemented.

  Not implemented.

- Method
  4.0.0.0
  System.Void `` `` ``

  Start reading the canonical octets of the XML being read to this reader from the supplied stream until the matching EndCanonicalization call is made. The content read from the main reader stream is unaffected by this call. defines whether comments are to be included in the canonical input and provides the list of prefixes to be treated as inclusive prefixes with the exclusive canonicalization algorithm.

  This method is not yet implemented.

  The stream to read from. Determines whether comments are included. The prefixes to be included.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.